# AnyKernel2 Ramdisk Mod Script
# osm0sis @ xda-developers

## AnyKernel setup
# begin properties
properties() { '
kernel.string=zest kernel. Making the sour sweet ;)
do.devicecheck=1
do.modules=0
do.cleanup=1
do.cleanuponabort=1
device.name1=maple
device.name2=maple_dsds
device.name3=
device.name4=
device.name5=
supported.versions=9
'; } # end properties

# shell variables
block=auto;
is_slot_device=0;
ramdisk_compression=auto;


## AnyKernel methods (DO NOT CHANGE)
# import patching functions/variables - see for reference
. /tmp/anykernel/tools/ak2-core.sh;


## AnyKernel file attributes
# set permissions/ownership for included ramdisk files
chmod -R 750 $ramdisk/*;
chmod -R 755 $ramdisk/sbin/*;
chown -R root:root $ramdisk/*;


## AnyKernel install
dump_boot;

# begin ramdisk changes

# init.rc
insert_line init.rc "init.zest.rc" after "ro.zygote" "import /init.zest.rc";

# fstab.qcom
mount -o rw,remount -t auto /system;
patch_fstab /system/vendor/etc/fstab.qcom /data ext4 flags "forceencrypt=footer" "fileencryption=ice";
mount -o ro,remount -t auto /system;


# end ramdisk changes

write_boot;

## end install
