#!/system/bin/sh

################################################################################

function write() {
    echo -n $2 > $1
}

function copy() {
    cat $1 > $2
}

function get-set-forall() {
    for f in $1 ; do
        cat $f
        write $f $2
    done
}

function writepid_sbg() {
    until [ ! "$1" ]; do
        echo -n $1 > /dev/cpuset/system-background/tasks
        shift
    done
}

################################################################################

function kaliuuuidds() {
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/ignore_hispeed_on_notif 1
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/min_sample_time 19000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/fast_ramp_down 0
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/target_loads "83 1804800:95"
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/align_windows 0
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/use_migration_notif 1
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/io_is_busy 1
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/enable_prediction 0
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/timer_slack 80000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/use_sched_load 1
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/hispeed_freq 1248000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/timer_rate 20000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/above_hispeed_delay 19000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/max_freq_hysteresis 79000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/boostpulse_duration 80000
    write /sys/devices/system/cpu/cpu0/cpufreq/interactive/go_hispeed_load 90
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/ignore_hispeed_on_notif 1
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/min_sample_time 19000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/fast_ramp_down 0
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/target_loads "83 1939200:90 2016000:95"
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/align_windows 0
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/use_migration_notif 1
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/io_is_busy 1
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/enable_prediction 0
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/timer_slack 80000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/use_sched_load 1
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/hispeed_freq 1574400
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/timer_rate 20000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/above_hispeed_delay 19000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/max_freq_hysteresis 79000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/boostpulse_duration 80000
    write /sys/devices/system/cpu/cpu4/cpufreq/interactive/go_hispeed_load 90
    write /proc/sys/kernel/sched_freq_aggregate 0
    write /proc/sys/kernel/sched_spill_load 90
    write /proc/sys/kernel/sched_prefer_sync_wakee_to_waker 1
    write /sys/module/lowmemorykiller/parameters/enable_adaptive_lmk 1
    write /dev/cpuset/top-app/cpus 4-7
}

LOGCAT=`pidof logcat`
RMT_STORAGE=`pidof rmt_storage`
QTI=`pidof qti`
NETMGRD=`pidof netmgrd`
THERMAL-ENGINE=`pidof thermal-engine`
WPA_SUPPLICANT=`pidof wpa_supplicant`
LOC_LAUNCHER=`pidof loc_launcher`
CNSS-DAEMON=`pidof cnss-daemon`
QSEECOMD=`pidof qseecomd`
TIME_DAEMON=`pidof time_daemon`
CND=`pidof cnd`
IMSQMIDAEMON=`pidof imsqmidaemon`
IMSDATADAEMON=`pidof imsdatadaemon`
writepid_sbg $LOGCAT
writepid_sbg $QTI
writepid_sbg $NETMGRD
writepid_sbg $THERMAL-ENGINE
writepid_sbg $WPA_SUPPLICANT
writepid_sbg $LOC_LAUNCHER
writepid_sbg $CNSS-DAEMON
writepid_sbg $QSEECOMD
writepid_sbg $TIME_DAEMON
writepid_sbg $CND
writepid_sbg $IMSQMIDAEMON
writepid_sbg $IMSDATADAEMON
kaliuuuidds
{

sleep 20
kaliuuuidds

}&
